<div class="card card-profile">
    <div class="card-avatar col-md-5">
        <a><img class="img responsive-img" src="{{ d.photo }}"></a>
    </div>
    <div class="card-body" style="text-align: center;">
        <h5 class="card-title">{{ d.name }}</h5>
        <p class="card-text"><b>Data de desaparecimento : </b>{{ d.date_of_disappearance }}</p>
        <p style="font-weight: bold"
           class="card-text alert {{ 'alert-danger' if d.status == 'DESAPARECIDO' else 'alert-success' }}">
            {{ d.status }}</p>
    </div>
    <div class="card-body" style="text-align: justify">
        <div class="card-body">
            <h5 class="card-title">Características</h5>
            <ul>
                <li><b>Idade:</b> {{ d.age }} anos</li>
                <li><b>Olhos:</b> {{ d.eyes }}</li>
                <li><b>Cabelo:</b> {{ d.hair }}</li>

                {% if d.height %}
                    <li><b>Altura:</b> {{ d.height }}</li>
                {% endif %}

                {% if d.event_report %}
                    <li><b>BO:</b> {{ d.event_report }}</li>
                {% endif %}
                {% if d.clothes %}
                    <li><b>Roupas:</b> {{ d.clothes }}</li>
                {% endif %}

                {% if d.tattoo_description %}
                    <li><b>Tatuagem:</b> {{ d.tattoo_description }}</li>
                {% endif %}

                {% if d.scar_description %}
                    <li><b>Cicatriz:</b> {{ d.scar_description }}</li>
                {% endif %}
            </ul>
        </div>
        <div class="card-body">
            <h5 class="card-title">Local do desaparecimento</h5>
            <div id="map-{{ d._id }}" style='width: 100%; height: 200px'></div>
        </div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            let geometry = '{{d.geometry}}'

            const accessToken = 'pk.eyJ1IjoiZGVzYXBhcmVjaWRvc21lIiwiYSI6ImNqa3ZrYWdqcDBzMzUzcHBhdGhhdWp1YmEifQ.09Yj5rE71q2u_WGfPu3LFA';

            geometry = geometry.replace("[", "").replace("]", "").split(",");

            let features = [{
                "type": "Feature",
                "properties": {
                    "description": `Local onde desapareceu`,
                },
                "geometry": {
                    "type": "Point",
                    "coordinates": geometry
                }
            }];

            let geojson = {
                type: 'FeatureCollection',
                features: features
            };

            setupMapBox(accessToken, geometry, 'map-{{d._id}}', geojson, 10);
        });
    </script>
</div>